%global pypi_name pypubsub
%global src_name Pypubsub

Name:           python-%{pypi_name}
Version:        4.0.0
Release:        2%{?dist}
Summary:        Python Publish-Subscribe Package

License:        BSD
URL:            https://github.com/schollii/pypubsub
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{src_name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel

%description
PyPubSub provides a publish - subscribe API that facilitates the development of
event-based / message-based applications. PyPubSub supports sending and
receiving messages between objects of an application. It is centered on the
notion of a topic; senders publish messages of a given topic, and listeners
subscribe to messages of a given topic. The package also supports a variety of
advanced features that facilitate debugging and maintaining pypubsub topics and
messages in larger applications.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyPubSub provides a publish - subscribe API that facilitates the development of
event-based / message-based applications. PyPubSub supports sending and
receiving messages between objects of an application. It is centered on the
notion of a topic; senders publish messages of a given topic, and listeners
subscribe to messages of a given topic. The package also supports a variety of
advanced features that facilitate debugging and maintaining pypubsub topics and
messages in larger applications.

%prep
%autosetup -n %{src_name}-%{version}
sed -i 's/\r$//' README.txt
sed -i 's/\r$//' src/pubsub/RELEASE_NOTES.txt

%build
%py3_build

%install
%py3_install


%files -n python3-%{pypi_name}
%doc README.txt src/pubsub/RELEASE_NOTES.txt
%license src/pubsub/LICENSE_BSD_Simple.txt
%{python3_sitelib}/%{src_name}*
%{python3_sitelib}/pubsub/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 6 2018 Scott Talbert <swt@techie.net> - 4.0.0-1
- Initial package.
